import rox, os, sys

libdirpath = os.getenv('LIBDIRPATH')
if not libdirpath:
	 libdirpath = [os.path.expanduser('~/lib'), 
	 				'/usr/local/lib', 
	 				'/usr/lib', 
	 				'/opt']
else:
	libdirpath = libdirpath.split(':')

def findlib(project, 
			lib, 
			download, 
			required = True, 
			relpath = 'python'):
	
	found = False
	
	for libdir in libdirpath:
		path = os.path.join(libdir, lib, relpath)
		if os.path.isdir(path):
			sys.path.append(path)
			found = True
			break
	if not found and required:
		message = (_("%s needs %s to run. Please download it from %s and " \
					"put it into one of the following locations:\n\n") 
					% (project, lib, download))
		for libdir in libdirpath:
			message += libdir + '\n'
		rox.croak(message)
	return found
